Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115700 - Review Request: nodejs-open - Open a file or url in the user's preferred application
Summary: Review Request: nodejs-open - Open a file or url in the user's preferred appl...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1115670
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:08 UTC by Ralph Bean
Modified: 2014-08-15 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 18:25:24 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:08:22 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-open.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-open-0.0.5-1.fc20.src.rpm

Description:
Open a file or url in the user's preferred application.

Comment 1 Parag AN(पराग) 2014-07-18 15:23:50 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-open.src: W: spelling-error Summary(en_US) url -> URL, curl, purl
nodejs-open.src: W: spelling-error %description -l en_US url -> URL, curl, purl
nodejs-open.x86_64: W: spelling-error Summary(en_US) url -> URL, curl, purl
nodejs-open.x86_64: W: spelling-error %description -l en_US url -> URL, curl, purl
nodejs-open.x86_64: E: no-binary
nodejs-open.x86_64: W: only-non-binary-in-usr-lib
nodejs-open.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/nodejs-open/LICENSE
nodejs-open-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :f5e85c2037b9355b7acbdc7459030027555bf08b01cb6d4db6712655dd39060a
upstream tarball :f5e85c2037b9355b7acbdc7459030027555bf08b01cb6d4db6712655dd39060a

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines



suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 3 Parag AN(पराग) 2014-07-22 03:27:28 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:05:29 UTC
New Package SCM Request
=======================
Package Name: nodejs-open
Short Description: Open a file or url in the user's preferred application
Upstream URL: https://npmjs.org/package/open
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:39:57 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 17:41:26 UTC
nodejs-open-0.0.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-open-0.0.5-2.fc20

Comment 7 Fedora Update System 2014-07-22 17:41:36 UTC
nodejs-open-0.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-open-0.0.5-2.fc19

Comment 8 Ralph Bean 2014-07-22 18:25:24 UTC
Buildroot overrides have been submitted.

Comment 9 Fedora Update System 2014-08-15 02:31:25 UTC
nodejs-open-0.0.5-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-08-15 02:42:50 UTC
nodejs-open-0.0.5-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.